Welcome to the Question2Answer Q&A. There's also a demo if you just want to try it out.

Error with Blog tool plugin. Warning: Invalid argument supplied for foreach() in /qa-base.php(572) : eval()'d code 189

0 votes
1,523 views
asked Apr 30, 2015 in Plugins by Vadym
I'm having this error on blog tool plugin's post pages. Only at the top and bottom of the article.

lost email, so asking here
Q2A version: 1.7
commented May 2, 2015 by Vadym
Errors in log don't start with Q2a more info
they just as in here title
commented May 9, 2015 by Ami
is this resolved ??
commented May 9, 2015 by Vadym
As i understood there's problem with extra QF plugin, you said that you would send me updated version of plugin, I haven't recieved your updated version in email. Warning may appear as it is just switched off by php modules
commented May 10, 2015 by Ami
I have already sent you the modified plugin 3 day back . Check your email again

3 Answers

0 votes
answered May 3, 2015 by Vadym
I asked hosting provider to stop error from displaying somehow, Hope you'll help to find a solution for it.  In error log there's the same as in title + "referer" blog pages are displayed.
commented May 4, 2015 by Ami
Hi . Sorry for the late response due to my health issues . Are you still facing the same issue What and all other plugins you are using. Can you email your error log to info@q2astore.com . I will look into asap .
commented May 4, 2015 by Ami
I think there would be interference with some other plugins . Can you please give me the website URL . I need to see exactly where you are getting the issue .
commented May 4, 2015 by Vadym
It appeared on all blog-post pages only. This is featured posts page: http://goo.gl/fYC7uu
I asked hosting provider to stop this warning from appearing on post pages by disabling php module, I'm not very good at it.
Error log is :  Error with Blog tool plugin. Warning: Invalid argument supplied for foreach() in /qa-base.php(572) : eval()'d code 189
there're hundreds of this same statement.

I use many plugins, by this time all of them worked in peace with each other. :)
I use CKEditor, Markdown, Tag description, Comment Voting, Embed, Extra QF? Hashtagger, Most active users, on-s-notification, tagging-tool, social sharing and so on.
commented May 4, 2015 by Ami
do you have any screenshots . I dont see any warnings on the site . I need to see those in order to debug them .
commented May 5, 2015 by Ami
I think the warnings are due to Extra QF plugin you are using . I will send you an modified version of the plugin which is compactible with the Blog Plugin .
0 votes
answered May 5, 2015 by Korkut
reinstall the plugin
+1 vote
answered May 5, 2015 by Ami
This issue was due to the incompatibility of the blog plugin with Extra Question field plugin .

I have modified the Extra question plugin a bit to fit the needs . I have sent you via email . Please check and let me know if your issue is fixed .
commented Oct 8, 2015 by karo
Was the Extra question field plugin incompatibility fixed?
I need to know if they work together before I buy...
Regards,
commented Oct 8, 2015 by Ami
Yes for this I can send you an modified version of this plugin , which works as expected .
commented Oct 8, 2015 by Ami
They will work togather if you use the modified version of the plugin
...